{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Data Perikanan</title>

    <style>
        body {
            font-family: Arial, sans-serif;
        }
        #header {
            text-align: center;
        }
        #logo-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #logo {
            max-width: 90px;
            max-height: 90px;
            margin-right: 20px;
        }
        #text-container {
            text-align: center;
            margin-bottom: 20px;
        }
        #text-container h3,
        #text-container h1,
        #text-container p {
            margin: 5px 0;
        }
        #address {
            text-align: center;
        }
        #divider {
            width: 100%;
            border-top: 1px solid #000;
            /* margin-top: 20px; */
            /* margin-bottom: 20px; */
        }
        hr {
            border: none;
            border-top: 5px solid #000; /* Warna dan ketebalan garis dapat disesuaikan */
            /* Atur spasi atas dan bawah garis */
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
    
        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }
    
        th {
            background-color: #f2f2f2;
        }
    
        th:first-child,
        th:nth-child(2),
        th[colspan="2"],
        th:nth-last-child(2),
        th:last-child,
        th:nth-child(5),
        th:nth-child(6) {
            text-align: center;
        }
    
        .sign-box {
            width: 48%;
            padding: 10px;
            margin-top: 20px;
            display: inline-block;
            vertical-align: top;
            text-align: center;
            border: 1px solid black;
            box-sizing: border-box;
            text-align: left;
        }
    
        .row {
            width: 100%;
        }
        .nonLine {
            border-collapse: collapse;
            width: 100%;
            border: none;
        }
        h3 {
            font-family: 'Times New Roman', Times, serif;
        }
        h1 {
            font-family: 'Times New Roman', Times, serif;
        }
        p {
            font-family: 'Times New Roman', Times, serif;
        }
    </style>
</head>

<body onload="window.print()">
    <div id="header">
        <div id="logo-container">
            <img id="logo" src="{% static 'admin/images/logo-supiori.png' %}" alt="Logo">
            <div id="text-container">
                <h3>PEMERINTAH KABUPATEN SUPIORI</h3>
                <h1>SEKRETARIAT DAERAH</h1>
                <p>Jl. Raya Sorendiweri, Distrik Supiori Timur- Kabupaten Supiori-Provinsi Papua</p>
            </div>
        </div>
    </div>

    <div id="divider"></div>
    <hr> <!-- Garis tambahan setelah kop -->
    <center>
        <h2>Laporan Data Perikanan</h2>
    </center>
    <!-- Konten lainnya -->
   
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-primary text-white">
            <tr>
                <th rowspan="2">No</th>
                <th rowspan="2">Tahun</th>
                <th rowspan="2">Wilayah</th>
                <th colspan="3">Uraian</th>
            </tr>
            <tr>
                <th>Jumlah rumah tangga nelayan </th>
                <th>Kepemilikan Kartu Nelayan</th>
                <th>(RTP)</th>
            </tr>
        </thead>
        <tbody>
            {% for data_perikanan in PERIKANAN %}
                <tr>
                        <td>{{forloop.counter}}</td>
                        <td>{{data_perikanan.tahun}}</td>
                        <td class="tdx">{{data_perikanan.kampung.distrik.title}}-{{data_perikanan.kampung.titles}} </td>
                        <td>{{data_perikanan.jml_rt_nelayan}}</td>
                        <td>{{data_perikanan.jml_kartu_nelayan}}</td>
                        <td>{{data_perikanan.jml_rtp}}</td>
                </tr>
           {% endfor %}
        </tbody>
    </table>

    <center><h3>Data UMKM Bidang KUB</h3></center>
    <table>
        <thead>
           <tr>
                <th rowspan="2">No</th>
                <th rowspan="2">Tahun</th>
                <th rowspan="2">Wilayah</th>
                <th colspan="5">KUB</th>
           </tr>
           <tr>
                <th>Nama Kelompok <br>Usaha Bersama (KUB)</th>
                <th>Nama Ketua</th>
                <th>Bantuan</th>
                <th>SK KUB</th>
                <th>Bukti</th>
           </tr>
        </thead>
        <tbody>
            {% for data_detail_perikanan in PERIKANAN %}
               {% for data_kub in data_perikanan_kub %}
                <tr>
                    <td>{{forloop.counter }}</td>
                    <td>{{data_detail_perikanan.tahun}}</td>
                    <td>{{data_detail_perikanan.kampung.distrik.title}}-{{data_detail_perikanan.kampung.titles}} </td>
                    <td>{{data_kub.namakelompok}}</td>
                    <td>{{data_kub.ketua}}</td>
                    <td>{{data_kub.bantuan}}</td>
                    <td>{{data_kub.sk_pelatihan}}</td>
                    <td><img src="{{data_kub.foto.url}}" width="100"></td>
                </tr>
                {% endfor %}
            {% endfor %}
            
        </tbody>
    </table>
    <hr>
    <center><h3>Data Perikanan Bidang Budidaya</h3></center>
    <table>
        <thead>
                <tr>
                    <th rowspan="2">No</th>
                    <th rowspan="2">Tahun</th>
                    <th rowspan="2">Wilayah</th>
                    <th colspan="5">Budidaya</th>
                </tr>
                <tr>
                    <th>Nama Pembudidaya/Kelompok</th>
                    <th>Jenis Komoditi</th>
                    <th>Bantuan</th>
                    <th>Pelatihan</th>
                    <th>Bukti</th>
                </tr>
        </thead>
        <tbody>
            {% for data_detail_perikanans in PERIKANAN %}
                {% for data_budidaya in data_perikanan_budidaya %}
                    <tr>
                        <td>{{forloop.counter}}</td>
                        <td>{{data_detail_perikanans.tahun}}</td>
                        <td>{{data_detail_perikanans.kampung.distrik.title}}-{{data_detail_perikanans.kampung.titles}} </td>
                        <td>{{data_budidaya.namakelompok}}</td>
                        <td>{{data_budidaya.ketua}}</td>
                        <td>{{data_budidaya.bantuan}}</td>
                        <td>{{data_budidaya.sk_pelatihan}}</td>
                        <td><img src="{{data_budidaya.foto.url}}" width="100"></td>
                    </tr>
                {% endfor %}
            {% endfor %}   
        </tbody>
    </table>
</body>
</html>
